from django import forms
from django.forms import BaseModelFormSet
from FormTest.models import ArticleModel

class ArticleForm(forms.Form):
    title = forms.CharField(label='标题')
    pub_date = forms.DateField(label='日期')

class BaseArticleFormSet(BaseModelFormSet):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.qureyset = ArticleModel.objects.all()  # 默认的查询请求


ArticleFormSet = forms.modelformset_factory(ArticleModel,
                                            fields='__all__',
                                            formset=BaseArticleFormSet,
                                            extra=2,  # 额外的空表单数量
                                            max_num=6  # 最大表单数量
                                            )
